*{
    margin:0;
    padding:0;
    box-sizing:border-box;
}

body{
    font-family:'Inter', sans-serif;
    background:#F8F8F8;
    color:#000;
}

/* HEADER */
header{
    position:fixed;
    top:0;
    left:0;
    width:100%;
    height:70px;
    background:white;
    display:flex;
    justify-content:space-between;
    align-items:center;
    padding:0 30px;
    box-shadow:0 2px 6px rgba(0,0,0,0.3);
    z-index:1000;
}

.logo{
    height:45px;
}

.navbar{
    display:flex;
    gap:30px;
}

.navbar a{
    text-decoration:none;
    color:#CC2C2C;
    font-family:'Poppins';
    font-size: 14px;
    font-weight:600;
}

.navbar a:hover{
    color:#000000;
}

.btn-reservasi{
    background:#D25858;
    padding:8px 15px;
    border-radius:17px;
    display:flex;
    align-items:center;
    justify-content:center;
    gap:5px;
    text-decoration:none;
    color:white;
    font-family:'Poppins';
    font-weight:600;
    font-size:14px;
    transition:0.3s ease;
}

.btn-reservasi:hover{
    background:#8C1F1F;
}

.reservasi-icon{
    width:24px;
    height:24px;
    object-fit:contain;
}

/* HERO */
.hero{
    margin-top: 60px;
    text-align:center;
    padding:80px 20px 40px;
}

/* CONTACT TITLE */
.contact-title{
    display:flex;
    justify-content:center;
    align-items:center;
    gap:5px;
    margin-bottom:10px;
}

.contact-icon{
    width:25px;
    height:25px;
}

.contact-title h1{
    color:#CC2C2C;
    font-size:22px;
    font-weight:700;
}

.hero h2{
    font-size:35px;
    margin-bottom:10px;
}

.hero p{
    font-size:14px;
    max-width:700px;
    margin:auto;
}

/* OPEN BOX */
.open-box{
    width:90%;
    max-width:550px;
    height:55px;
    margin:40px auto;
    border:2px solid #000;
    border-radius:60px;
    display:flex;
    align-items:center;
    background:white;
    overflow:visible;
}

/* BAGIAN MERAH */
.open-left{
    width:42%;
    height:60px;
    background:#CC2C2C;
    color:white;
    display:flex;
    align-items:center;
    justify-content:center;
    font-family:'Poppins';
    font-size:16px;
    font-weight:700;
    border-radius:60px;
    margin-left:-2px;
    margin-top:-2px;
    margin-bottom:-2px;
    position:relative;
    z-index:2;
}

/* BAGIAN KANAN */
.open-right{
    flex:1;
    display:flex;
    align-items:center;
    justify-content:center;
    font-family:'Poppins';
    font-size:16px;
    font-weight:700;
    color:black;
    position:relative;
    z-index:1;
}

/* CONTACT GRID */
.contact-container{
    width:90%;
    max-width:1200px;
    margin:10px auto;
    padding:80px;
    display:grid;
    grid-template-columns:repeat(auto-fit,minmax(380px,1fr));
    gap:40px;
}

/* ITEM */
.contact-item{
    display:flex;
    flex-direction:column;
    align-items:center;
}

/* MAPS */
.maps-icon{
    margin-bottom:10px;
}

.maps-icon img{
    width:100px;
}

/* CARD */
.contact-card{
    width:100%;
    background:#CC2C2C;
    border-radius:20px;
    padding:35px;
    color:white;
    box-shadow:0 4px 10px rgba(0,0,0,0.15);
}

/* TITLE */
.card-title{
    background:#D25858;
    border-radius:15px;
    padding:10px;
    text-align:center;
    font-size:16px;
    font-weight:700;
    margin-bottom:25px;
}

/* ALAMAT */
.alamat{
    text-align:center;
    font-size:12px;
    line-height:1.5;
    margin-bottom:30px;
}

/* INFO */
.info-item{
    display:flex;
    align-items:center;
    gap:10px;
    margin-bottom:18px;
}

.info-item img{
    width:30px;
}

/* INFO BOX */
.info-box{
    flex:1;
    background:white;
    color:black;
    border-radius:40px;
    padding:11px 17px;
    font-size:15px;
    font-weight:700;
}

/* FOOTER */
footer{
    background:#3A3A3A;
    color:white;
    margin-top:80px;
    padding:20px 3%;
}

.footer-container{
    display:flex;
    justify-content:space-between;
    flex-wrap:wrap;
    gap:40px;
}

.footer-logo img{
    width:100px;
    opacity:0.7;
}

.footer-logo p{
    margin-top:10px;
    max-width:180px;
    line-height:1.5;
    font-size:14px;
}

.footer-menu h3,
.footer-contact h3{
    margin-bottom:15px;
    font-size:20px;
}

.footer-menu a{
    display:block;
    text-decoration:none;
    color:white;
    margin-bottom:5px;
    font-size: 12px;
}

.footer-contact p{
    margin-bottom:10px;
    font-size: 12px;
}

.copyright{
    text-align:center;
    margin-top:40px;
    font-size:12px;
}


/* ================= RESPONSIVE ================= */

/* TABLET */
@media (max-width:1024px){

    .contact-container{
        padding:40px;
        gap:30px;
    }

    .hero h2{
        font-size:28px;
    }
}

/* HP */
@media (max-width: 768px){

    /* HEADER (SAMA SEMUA HALAMAN) */
    header{
        height:60px;
        padding:0 10px;
    }

    .logo{
        height:35px;
    }

    .navbar{
        display:flex;
        gap:9px;
        flex-wrap:wrap;
        justify-content:center;
    }

    .navbar a{
        font-size:10px;
    }

    .btn-reservasi{
        font-size:10px;
        padding:5px 8px;
    }

    .reservasi-icon{
        width:16px;
        height:16px;
    }

    /* HERO */
    .hero{
        padding:30px 15px 30px;
    }

    .hero h2{
        font-size:22px;
    }

    .hero p{
        font-size:13px;
    }

    /* OPEN BOX */
    .open-box{
        flex-direction:column;
        height:auto;
        border-radius:20px;
    }

    .open-left{
        width:100%;
        border-radius:20px 20px 0 0;
        margin:0;
        height:50px;
    }

    .open-right{
        height:50px;
    }

    /* CONTACT GRID */
    .contact-container{
        padding:20px;
        grid-template-columns:1fr;
        gap:25px;
    }

    /* CARD */
    .contact-card{
        padding:25px;
    }

    .info-box{
        font-size:13px;
        padding:10px;
    }

    /* ICON */
    .maps-icon img{
        width:70px;
    }

    /* FOOTER */
    .footer-container{
        flex-direction:column;
        gap:20px;
    }
}